2011b available

Bug #716831 reported by Gary Lasker on 2011-02-11
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2011b:

    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone
                      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands

Note that the update to 2010a was skipped for Ubuntu SRUs (it did appear in Natty) because the 2011b version was announced to supersede shortly and the 2011a update contained historic changes only and no changes to current time stamps.

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
status: New → In Progress
Gary Lasker (gary-lasker) wrote :

Test case for new "America/North_Dakota/Beulah" timezone:

Wrong result with 2010o, displays UTC since timezone is not defined:

$ LANG= TZ=America/North_Dakota/Beulah date
Sat Feb 12 03:26:32 America 2011

Correct result with 2011b, timezone is defined:

$ LANG= TZ=America/North_Dakota/Beulah date
Fri Feb 11 21:29:26 CST 2011

tags: added: patch
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Karmic, Lucid and Maverick, and have uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2011b_dapper/
  http://people.canonical.com/~tremolux/tzdata_2011b_hardy/
  http://people.canonical.com/~tremolux/tzdata_2011b_karmic/
  http://people.canonical.com/~tremolux/tzdata_2011b_lucid/
  http://people.canonical.com/~tremolux/tzdata_2011b_maverick/

We will want to sync 2011b-2 from debian for Natty.

Many thanks!

Martin Pitt (pitti) wrote :

Thanks for preparing those! Uploading..

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Got synced to natty.

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Changed in tzdata (Ubuntu):
status: In Progress → Fix Released
Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed for all of the following:

  dapper
  hardy
  karmic
  lucid
  maverick

Thanks very much, Martin!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011b~repack-0ubuntu0.8.04

---------------
tzdata (2011b~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2011b: (LP: #716831)
    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone,
      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands
 -- Gary Lasker <email address hidden> Sun, 13 Feb 2011 17:44:29 -0500

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2011-02-23
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011b-0ubuntu0.9.10

---------------
tzdata (2011b-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2011b: (LP: #716831)
    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone,
      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands
 -- Gary Lasker <email address hidden> Sun, 13 Feb 2011 17:05:49 -0500

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011b-0ubuntu0.10.04

---------------
tzdata (2011b-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2011b: (LP: #716831)
    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone,
      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands
 -- Gary Lasker <email address hidden> Sun, 13 Feb 2011 16:54:52 -0500

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011b-0ubuntu0.10.10

---------------
tzdata (2011b-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2011b: (LP: #716831)
    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone,
      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands
 -- Gary Lasker <email address hidden> Sun, 13 Feb 2011 16:31:53 -0500

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers